IM_CONCURRENCY(3)

NAME
im_concurrency_set, im_concurrency_get - set and get the number of threads to use for evaluation

SYNOPSIS
#include <vips/vips.h> void im_concurrency_set( int concurrency )
int im_concurrency_get( void )

DESCRIPTION
im_concurrency_set(3) and im_concurrency_get(3) set and get the number of parallel threads VIPS should use to calculate pixels. A value of zero (the default) means to get the number of threads from the environment variable IM_CONCURRENCY. If that is not set, the number of threads defaults to one. Setting the number of threads only affects image evaluations which start after that point, it will not change the behaviour of existing evaluations. Most command-line vips programs support the --vips-concurrency flag, which can also be used to set the concurrency.

SEE ALSO
im_get_option_group(3), `VIPS manual,' in accompanying documentation.